tss2_changeauth(1)

NAME

tss2_changeauth(1) - This command changes the authorization data of an entity referred to by the path.

SYNOPSIS

tss2_changeauth [OPTIONS]

SEE ALSO

fapi-config(5) to adjust Fapi parameters like the used cryptographic profile and TCTI or directories for the Fapi metadata storages.

fapi-profile(5) to determine the cryptographic algorithms and parameters for all keys and operations of a specific TPM interaction like the name hash algorithm, the asymmetric signature algorithm, scheme and parameters and PCR bank selection.

DESCRIPTION

tss2_changeauth(1) -

OPTIONS

These are the available options:

•   -a, --authValue=STRING:

    The new UTF-8 password. Optional parameter. If it is neglected then the user is queried interactively for a password. To set no password, this option should be used with the empty string (""). The maximum password size is determined by the digest size of the chosen name hash algorithm in the cryptographic profile (cf., fapi-profile(5)). For example, choosing SHA256 as hash algorithm, allows passwords of a maximum size of 32 characters.

•   -p, --entityPath=STRING:

    The path identifying the entity to modify.

COMMON OPTIONS

This collection of options are common to all tss2 programs and provide information that many users may expect.

•   -h, --help [man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

EXAMPLES

  Change a password for an entity HS/SRK/myRSACryptKey to M1

    tss2_changeauth --entityPath=HS/SRK/myRSACryptKey --authValue=M1

  Change a password for an entity HS/SRK/myRSACryptKey and ask the user to enter the password.

    tss2_changeauth --entityPath=HS/SRK/myRSACryptKey

RETURNS

0 on success or 1 on failure.

BUGS

Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP

See the Mailing List (https://lists.01.org/mailman/listinfo/tpm2)